When moving files: img_name should not be changed until backend operation succeeded
Closed, ResolvedPublic

Description

Today, we had a SWIFT media storage backend outage at Wikimedia Commons. As a result, file uploads failed. But also file move operations had issues:
https://commons.wikimedia.org/wiki/File:Red-vented_Bulbul_Pycnonotus_cafer_Pune,_India.jpg

was moved during this time and the (binary) file simply "vanished". The (binary) file remained where it was before in the backend but the file description page was moved and the link in the file revision table pointed to something that did not exist. Consequently, no thumbnail could be generated.

I hope that I did not mix up any terminology. If there are questions, please let me know swiftly (as I regulary erease my short-term storage) :-)


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz50262.
Rillke created this task.Via LegacyJun 26 2013, 10:05 PM
Aklapper added a comment.Via ConduitJun 27 2013, 9:39 AM

Hmm, on https://commons.wikimedia.org/wiki/File:Red-vented_Bulbul_Pycnonotus_cafer_Pune,_India.jpg I cannot see anything suspicious (anymore?), e.g. a missing thumbnail or such.
I assume that things have gotten fixed already?
If not, where can I see the problem right now? :)

McZusatz added a comment.Via ConduitJun 27 2013, 11:53 AM

(In reply to comment #2)
Yes, fixed. Please have a look at comment #1

Rillke added a comment.Via ConduitJun 27 2013, 3:43 PM

(In reply to comment #2)
Yes, fixed, unfortunately keeping test cases is not always possible because this directly reduces user satisfaction if one tells them "Please leave this broken". I assume this won't happen soon again and I worked through the move log of the time in question ( https://commons.wikimedia.org/w/index.php?title=Special:Log/move&dir=prev&offset=20130626115805&type=move&user= ) but couldn't find further cases.

aaron added a comment.Via ConduitFeb 18 2014, 9:47 PM

This was likely fixed in 4db00dc1847f40cddfe454158ab7023809704d8f (though this moves will never be atomic with the current file layout).

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:53 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment